package main.config;

import org.springframework.beans.factory.annotation.Value;
import org.springframework.stereotype.Component;

import com.justep.util.URLUtil;

@Component
public class OauthConfig {
	
	/**
 	 *获取完整的认证回调访问地址，主要用于客户端退出后，返回到认证首页
	 */
	public String getOauthCallbackUrl(String location) {
		String url = this.getOauthServer() + this.getAuthorizeApi() +  "?client_id=" + this.getClientId() + "&redirect_uri=" + 
		 	    URLUtil.encodeURIComponent(this.getRedirectUri() + "?location=" + URLUtil.encodeURIComponent(location));
		return url;
	}
	
	//认证服务地址,TODO 根据需求进行自定义
	public String oauthServer = "https://entryhlzs4-vip.h.xcaas.net/integration";	
	//认证api
	public String authorizeApi = "/oauth2/api/authorize";
	//获取tokenApi
	public String accessTokenApi = "/oauth2/api/token";
	//获取用户信息
	public String userInfoApi = "/oauth2/userinfo";
	//
	public String portalCookieApi = "/portal/getCookie.action";
	
	
	public String getPortalCookieApi() {
		return portalCookieApi;
	}

	public void setPortalCookieApi(String portalCookieApi) {
		this.portalCookieApi = portalCookieApi;
	}

	//认证客户端id
	public String clientId = "1001";
	//认证客户端密钥
	public String clientSecret = "aaaa-bbbb-cccc-dddd-eeee";
	//认证回调地址(需要匿名访问权限)
	public String redirectUri = "http://entry-vip.trunk2.xcaas.com:8800/oauth2/main/oauth/callback";
	
	
	public String getAccessTokenApiUrl() {
		return this.getOauthServer() + this.getAccessTokenApi();
	}
	
	
	
	public String getUserInfoApiUrl() {
		return this.getOauthServer() + this.getUserInfoApi();
	}
	
	
	public String getPortalCookieApiUrl() {
		return this.getOauthServer() + this.getPortalCookieApi();
	}
	
	//基础getter setter
	public String getAuthorizeApi() {
		return authorizeApi;
	}




	public void setAuthorizeApi(String authorizeApi) {
		this.authorizeApi = authorizeApi;
	}




	public String getAccessTokenApi() {
		return accessTokenApi;
	}




	public void setAccessTokenApi(String accessTokenApi) {
		this.accessTokenApi = accessTokenApi;
	}




	public String getUserInfoApi() {
		return userInfoApi;
	}




	public void setUserInfoApi(String userInfoApi) {
		this.userInfoApi = userInfoApi;
	}




	public String getOauthServer() {
		return oauthServer;
	}

	public void setOauthServer(String oauthServer) {
		this.oauthServer = oauthServer;
	}

	

	public String getClientId() {
		return clientId;
	}

	public void setClientId(String clientId) {
		this.clientId = clientId;
	}

	public String getClientSecret() {
		return clientSecret;
	}

	public void setClientSecret(String clientSecret) {
		this.clientSecret = clientSecret;
	}

	public String getRedirectUri() {
		return redirectUri;
	}

	public void setRedirectUri(String redirectUri) {
		this.redirectUri = redirectUri;
	}
	
	
}
